package cn.superdesk.uniorder.dubbo.facade.channel;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.channel.UnifiedChannelProfitXVirt;
import cn.superdesk.uniorder.dto.dubbo.channel.UnifiedChannelProfitXVirtParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-08-28 17:10:10
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-08-28 17:10:10
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboUnifiedChannelProfitXVirtService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(UnifiedChannelProfitXVirtParam param);

	@Deprecated
	void updateObj(UnifiedChannelProfitXVirtParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UnifiedChannelProfitXVirt findById(Long id);

	@Deprecated
	PageInfo<UnifiedChannelProfitXVirt> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UnifiedChannelProfitXVirt> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addUnifiedChannelProfitXVirt(UnifiedChannelProfitXVirtParam param);

	void updateUnifiedChannelProfitXVirt(UnifiedChannelProfitXVirtParam param);

	void deleteUnifiedChannelProfitXVirt(Long id);

	UnifiedChannelProfitXVirt findUnifiedChannelProfitXVirtById(Long id);

	R<List<UnifiedChannelProfitXVirt>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);



	////////////////////



	List<Long> getVirtsByChannelId(Long channelId);

	List<UnifiedChannelProfitXVirt> findVirtsByChannelId(Long channelId);
}
